Bug 2000694 (CVE-2021-3772) - CVE-2021-3772 kernel: sctp: Invalid chunks may be used to remotely remove existing associations
Summary: CVE-2021-3772 kernel: sctp: Invalid chunks may be used to remotely remove exi...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-3772
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2001767 2001768 2002157 2003494 2003495
Blocks: 2000695
TreeView+ depends on / blocked
 
Reported: 2021-09-02 17:36 UTC by Pedro Sampaio
Modified: 2022-06-16 11:23 UTC (History)
43 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Linux SCTP stack. A blind attacker may be able to kill an existing SCTP association through invalid chunks if the attacker knows the IP-addresses and port numbers being used and the attacker can send packets with spoofed IP addresses.
Clone Of:
Environment:
Last Closed: 2022-05-11 08:45:58 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2022:2229 0 None None None 2022-05-12 11:26:35 UTC
Red Hat Product Errata RHBA-2022:4630 0 None None None 2022-05-18 11:46:22 UTC
Red Hat Product Errata RHBA-2022:4693 0 None None None 2022-05-19 05:10:46 UTC
Red Hat Product Errata RHBA-2022:4969 0 None None None 2022-06-08 18:39:52 UTC
Red Hat Product Errata RHBA-2022:5088 0 None None None 2022-06-16 11:23:11 UTC
Red Hat Product Errata RHSA-2022:1975 0 None None None 2022-05-10 14:39:43 UTC
Red Hat Product Errata RHSA-2022:1988 0 None None None 2022-05-10 14:45:29 UTC

Description Pedro Sampaio 2021-09-02 17:36:36 UTC
A flaw was found in the Linux SCTP stack. A blind attacker may be able to kill an existing SCTP association through invalid chunks if the attacker knows the IP-addresses and port numbers being used and the attacker can send packets with spoofed IP addresses.

Additional information:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=32f8807a48ae55be0e76880cfe8607a18b5bb0df

Comment 4 Wade Mealing 2021-09-08 06:38:41 UTC
At this time I don't see any upstream patches

Comment 5 Wade Mealing 2021-09-08 06:39:17 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 2002157]

Comment 9 Wade Mealing 2021-09-13 02:54:11 UTC
At this time a patch is being developed and I don't know the upstream patch details or link, if someone drops it in here, I can put it in comment #0.

Thanks.

Comment 13 Salvatore Bonaccorso 2021-10-24 15:22:37 UTC
While going through some CVEs related for the Linux kernel I stumpled over CVE-2021-3772. Are the patches upstream? Is https://git.kernel.org/linus/a2d859e3fc97e79d907761550dbc03ff1b36479c related o this issue?

Comment 14 Wade Mealing 2021-10-27 04:26:50 UTC
I don't think it is.

Comment 15 Salvatore Bonaccorso 2021-10-28 21:28:35 UTC
In meanwhile in mainline the following appeared: https://git.kernel.org/linus/32f8807a48ae55be0e76880cfe8607a18b5bb0df

Comment 16 Wade Mealing 2021-11-02 07:00:48 UTC
I believe Carnil is correct. It appears that patchset solves the issue.

Comment 17 errata-xmlrpc 2022-05-10 14:39:41 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:1975 https://access.redhat.com/errata/RHSA-2022:1975

Comment 18 errata-xmlrpc 2022-05-10 14:45:25 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:1988 https://access.redhat.com/errata/RHSA-2022:1988

Comment 19 Product Security DevOps Team 2022-05-11 08:45:56 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-3772


Note You need to log in before you can comment on or make changes to this bug.